/* DRAAG COLOURS:
RED: #89181A
White: #FFFFFF
Black: #000000
*/

@font-face
{
    font-family: "KeposhkaExtraCondensced-Regular";
    src: url("fonts/KeposhkaExtraCondensced-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

body
{
    font-family: "KeposhkaExtraCondensced-Regular", sans-serif;
    /* font-family:Arial, Helvetica, sans-serif; */
    margin: 0;
    padding: 0;
    width: 100vw;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.site-header 
{
    position: sticky !important;
    top: 0;
    left: 0;
    right: 0;
    background: #89181A;
    color: #FFFFFF;
    border-bottom: 1px solid #FFFFFF;
    z-index: 1000000000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 12px 20px;
    height: 64px;

    font-size: 32px;

}

.site-footer
{
    background: #89181A;
    color: #FFFFFF;
    border-top: 1px solid #FFFFFF;
    text-align: center;
    padding: 12px 20px;
    font-size: 16px;
    margin-top: auto;

}

.site-footer hr
{
    margin-bottom: 8px;
    background-color: #FFFFFF;
    height: 1px;
}

.site-footer p
{
    margin: 0;
}

.logo
{
    font-size: 64px;
    font-weight: bold;
}

.site-nav
{
    color: #FFFFFF;
    text-decoration: none;
    margin-left: 20px;
    font-size: 32px;
    display: inline-block;
    transition: transform 0.3s ease-in-out, color 0.3s ease-in-out;
}


.site-nav:hover
{
    transform: scale(1.125);
    color: #000000;
}

nav
{
    position: relative;
}

.english-font
{
    font-family: "Neuton", serif !important;
}

.keposhka-font
{
    font-family: "KeposhkaExtraCondensced-Regular", sans-serif !important;
}

#enLabel, #kpLabel 
{
    color: #bbb;
    font-weight: bold;
    transition: color 0.2s;
}

.active-lang 
{
    color: #fff !important;
}

.langbutton 
{
    background: none;
    border: 2px solid #fff;
    color: #fff;
    padding: 8px 16px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
}

@media (max-width: 600px) 
{
    .site-header 
    {
        flex-direction: column;
        height: auto;
        padding: 12px;
        text-align: center;
    }

    .logo 
    {
        font-size: 48px;
        margin-bottom: 8px;
    }

    .site-nav 
    {
        font-size: 24px;
        margin-left: 0;
        margin-right: 10px;
        text-align: center;
    }

    .langbutton 
    {
        padding: 6px 12px;
        font-size: 14px;
    }

    #adminLogin
    {
        display: none;
    }
}

.bold-text 
{
    font-weight: 700;
}

.extrabold-text 
{
    font-weight: 800;
}

.light-text 
{
    font-weight: 300;
}

.extralight-text 
{
    font-weight: 200;
}

.italic-text 
{
    font-style: italic;
}